Bug 15216 - Display Branch names and itemtype descriptions on the returns page
Summary: Display Branch names and itemtype descriptions on the returns page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-19 13:29 UTC by Katrin Fischer
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15216: Returns - Show branch names and item type description (2.32 KB, patch)
2015-11-22 01:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15216: Returns - Show branch names and item type description (2.37 KB, patch)
2015-11-24 20:56 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15216: Returns - Show collection description (1.62 KB, patch)
2015-11-25 23:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15216: Returns - Show collection description (1.76 KB, patch)
2015-11-26 09:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 15216: Returns - Show branch names and item type description (2.45 KB, patch)
2015-12-01 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15216: Returns - Show collection description (1.83 KB, patch)
2015-12-01 14:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-19 13:29:47 UTC
When returning an item, the itemtype and branchcodes for current and holding are displayed as codes instead of the descriptions.
Comment 1 Katrin Fischer 2015-11-22 01:24:48 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-11-24 20:56:05 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2015-11-24 20:56:34 UTC
It'd be nice to see collection code resolved too, but this is nice
Comment 4 Katrin Fischer 2015-11-25 13:32:57 UTC
Hi Nick, thx for the sign-off - I will try to provide a follow-up :)
Comment 5 Katrin Fischer 2015-11-25 23:34:38 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2015-11-26 08:10:46 UTC
Hi Katrin, I wanted to test but the patch does not apply. Could it be that there is one patch to much that is obsoleted?
Comment 7 Katrin Fischer 2015-11-26 08:12:02 UTC
I restored the first patch - thx Marc!
Comment 8 Marc Véron 2015-11-26 09:06:25 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-12-01 14:30:24 UTC
Created attachment 45268 [details] [review]
Bug 15216: Returns - Show branch names and item type description

Changes the table with returned items to display the branch
names for home and holding branch and the itemtype description
instead of the codes.

To test:
- Check out some items
- Return the items
- Verify the changes in the table of returned items

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2015-12-01 14:30:30 UTC
Created attachment 45269 [details] [review]
Bug 15216: Returns - Show collection description

The table of returns displays the collection code
instead of the description. This patch fixes that.

Same as first patch:

To test:
- Check out some items
- Return the items
- Verify the changes in the table of returned items

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2015-12-01 14:31:25 UTC
I think this one can be considered as a bug.
Comment 12 Kyle M Hall 2015-12-11 16:05:38 UTC
Pushed to master!

Thanks Katrin!
Comment 13 Julian Maurice 2015-12-14 07:13:31 UTC
Patches pushed to 3.22.x, will be in 3.22.1
Comment 14 Frédéric Demians 2015-12-14 17:57:30 UTC
This patch has been pushed to 3.20.x, will be in 3.20.7.